SDL_GetGamepadSteamHandle(3)

NAME
SDL_GetGamepadSteamHandle - Get the Steam Input handle of an opened gamepad, if available.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

Uint64 SDL_GetGamepadSteamHandle(SDL_Gamepad *gamepad);

DESCRIPTION
Returns an InputHandle_t for the gamepad that can be used with Steam Input API: https://partner.steamgames.com/doc/api/ISteamInput

FUNCTION PARAMETERS

gamepad
    the gamepad object to query.

RETURN VALUE
Returns the gamepad handle, or 0 if unavailable.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.